unit EditCell;
{
  Quick Report Editor

  Copyright (c) 1997,2000 Demidov Andre (andre@lion.susu.ac.ru)

}

interface

uses
  Winprocs, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls, Buttons, ExtCtrls;

type
  TQRCellSetupFrm = class(TForm)
    Label4: TLabel;
    Label3: TLabel;
    ShapeLeft: TEdit;
    ShapeWidth: TEdit;
    ShapeHeight: TEdit;
    ShapeTop: TEdit;
    GroupBox1: TGroupBox;
    Label2: TLabel;
    Shape5: TShape;
    Shape6: TShape;
    Shape7: TShape;
    Shape8: TShape;
    PenColor: TShape;
    PenWidth: TEdit;
    PenSolid: TRadioButton;
    PenDot: TRadioButton;
    PenDash: TRadioButton;
    PenDashDot: TRadioButton;
    PenColorBtn: TButton;
    GroupBox2: TGroupBox;
    Shape1: TShape;
    Shape2: TShape;
    Shape3: TShape;
    Shape4: TShape;
    BrushColor: TShape;
    BrushDiagCross: TRadioButton;
    BrushSolid: TRadioButton;
    BrushBdiag: TRadioButton;
    BrushFdiag: TRadioButton;
    BrushColorBtn: TButton;
    Label1: TLabel;
    AutoResizeMode: TComboBox;
    BitBtn1: TBitBtn;
    BitBtn2: TBitBtn;
    ColorDialog1: TColorDialog;
    GroupBox3: TGroupBox;
    CheckBox1: TCheckBox;
    CheckBox2: TCheckBox;
    CheckBox3: TCheckBox;
    CheckBox4: TCheckBox;
    Label5: TLabel;
    LeftProcent: TEdit;
    TopProcent: TEdit;
    procedure FormCreate(Sender: TObject);
    procedure GroupBox2Exit(Sender: TObject);
    procedure GroupBox1Exit(Sender: TObject);
    procedure FormShow(Sender: TObject);
    procedure coordExit(Sender: TObject);
    procedure PenWidthExit(Sender: TObject);
    procedure PenColorBtnClick(Sender: TObject);
    procedure BrushColorBtnClick(Sender: TObject);
    procedure LeftProcentExit(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
    BrushStyle: TBrushStyle;
    PenStyle: TPenStyle;
  end;

var
  QRCellSetupFrm: TQRCellSetupFrm;

implementation

{$I QREPDEFS.INC}
uses qedconst;
{$R *.DFM}

procedure TQRCellSetupFrm.FormCreate(Sender: TObject);
begin
  Caption:=LoadStr(SCellProp);
  BitBtn1.Caption:=LoadStr(SOK);
  BitBtn2.Caption:=LoadStr(SCancel);
  Label2.Caption:=LoadStr(SWidth);
  Label3.Caption:=LoadStr(SPos);
  Label4.Caption:=LoadStr(SSize);
  PenColorBtn.Caption:=LoadStr(SColor);
  BrushColorBtn.Caption:=LoadStr(SColor);
  GroupBox1.Caption:=LoadStr(SPen);
  GroupBox2.Caption:=LoadStr(SBrush);
  Label1.Caption:=LoadStr(SAutoResize);
  Label5.Caption:=LoadStr(SProcent);
  GroupBox3.Caption:=LoadStr(SFrame);
  CheckBox1.Caption:=LoadStr(STop);
  CheckBox2.Caption:=LoadStr(SLeft);
  CheckBox3.Caption:=LoadStr(SBottom);
  CheckBox4.Caption:=LoadStr(SRight);
  AutoResizeMode.Items[0]:=LoadStr(SNoChange);
  AutoResizeMode.Items[1]:=LoadStr(SChangeSize);
  AutoResizeMode.Items[2]:=LoadStr(SChangePos);
end;

procedure TQRCellSetupFrm.GroupBox2Exit(Sender: TObject);
begin
  if BrushDiagCross.checked then
    BrushStyle:=bsDiagCross
  else if BrushBDiag.checked then
    BrushStyle:=bsBDiagonal
  else if BrushFDiag.checked then
    BrushStyle:=bsFDiagonal
  else
    BrushStyle:=bsSolid;
end;

procedure TQRCellSetupFrm.GroupBox1Exit(Sender: TObject);
begin
  if PenDash.checked then
     PenStyle:=psDash
  else if PenDot.checked then
     PenStyle:=psDot
  else if PenDashDot.checked then
    PenStyle:=psDashDot
  else
    PenStyle:=psSolid;
end;

procedure TQRCellSetupFrm.FormShow(Sender: TObject);
begin
  if PenStyle=psDash then
     PenDash.checked:=true
  else if PenStyle=psDot then
     PenDot.checked:=true
  else if PenStyle=psDashDot then
     PenDashDot.checked:=true
  else
    PenSolid.checked:=true;
  if BrushStyle=bsDiagCross then
    BrushDiagCross.checked:=true
  else if BrushStyle=bsBDiagonal then
    BrushBDiag.checked:=true
  else if BrushStyle=bsFDiagonal then
    BrushFDiag.checked:=true
  else
    BrushSolid.checked:=true;
end;

procedure TQRCellSetupFrm.coordExit(Sender: TObject);
begin
    with Sender as TEdit do
  begin
    try
{$IFDEF QR20}
      text:=FloattostrF(StrtoFloat(text),ffFixed,8,1);
{$ELSE}
      text:=inttostr(Strtoint(text));
{$ENDIF}
    except
      messagebeep($FFFF);
      SetFocus;
    end;
  end;

end;

procedure TQRCellSetupFrm.PenWidthExit(Sender: TObject);
var w:integer;
begin
  with Sender as TEdit do
  begin
    try
      w:=Strtoint(text);
      if w<=0 then w:=1;
      text:=inttostr(w);
      if w>1 then
      begin
        PenSolid.Checked:=true;
        PenSolid.Enabled:=false;
        PenDot.Enabled:=False;
        PenDashDot.Enabled:=False;
        PenDash.Enabled:=False;
      end
      else
      begin
        PenSolid.Enabled:=true;
        PenDot.Enabled:=true;
        PenDashDot.Enabled:=true;
        PenDash.Enabled:=true;
      end;
    except
      messagebeep($FFFF);
      SetFocus;
    end;
  end;
end;

procedure TQRCellSetupFrm.PenColorBtnClick(Sender: TObject);
begin
  ColorDialog1.Color:=PenColor.Brush.Color;
  if ColorDialog1.Execute then
    PenColor.Brush.Color:=ColorDialog1.Color;
end;

procedure TQRCellSetupFrm.BrushColorBtnClick(Sender: TObject);
begin
  ColorDialog1.Color:=BrushColor.Brush.Color;
  if ColorDialog1.Execute then
    BrushColor.Brush.Color:=ColorDialog1.Color;
end;

procedure TQRCellSetupFrm.LeftProcentExit(Sender: TObject);
begin
  with Sender as TEdit do
  begin
    try
      text:=inttostr(Strtoint(text));
    except
      messagebeep($FFFF);
      SetFocus;
    end;
  end;

end;

end.
